<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="DetailCnuJDNPHU"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="535"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="DIRECTORY_JASPER" isForPrompting="false" class="java.lang.String">
		<parameterDescription><![CDATA[BASE DIR pour subreports]]></parameterDescription>
	</parameter>
	<parameter name="DIRECTORY_IMPRESSION" isForPrompting="false" class="java.lang.String">
		<parameterDescription><![CDATA[Directory pour génération des fichiers XML
ou autre sur le serveur]]></parameterDescription>
	</parameter>
	<parameter name="NUMERO_FICHIER" isForPrompting="false" class="java.lang.String"/>
	<parameter name="LIBELLE_COLLEGE" isForPrompting="false" class="java.lang.String"/>

	<field name="LIBELLE" class="java.lang.String">
		<fieldDescription><![CDATA[libelle]]></fieldDescription>
	</field>
	<field name="SECTION_CNU" class="java.lang.String">
		<fieldDescription><![CDATA[section]]></fieldDescription>
	</field>
	<field name="SOUS_SECTION" class="java.lang.String">
		<fieldDescription><![CDATA[sousSection]]></fieldDescription>
	</field>

	<variable name="SOUS_SECTION" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[($F{SOUS_SECTION} == null || $F{SOUS_SECTION}.length() == 0 ? "" : $F{SOUS_SECTION} )]]></variableExpression>
	</variable>
	<variable name="LIBELLE" class="java.lang.String" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[( $F{LIBELLE} == null || $F{LIBELLE}.length() == 0 ? "" : $F{LIBELLE} )]]></variableExpression>
	</variable>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="92"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="21"
						width="150"
						height="14"
						key="section"
						stretchType="RelativeToTallestObject"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Section Cnu : " + $F{SECTION_CNU}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="150"
						y="21"
						width="100"
						height="14"
						key="sous-section"
						stretchType="RelativeToTallestObject"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Sous Section : " +$V{SOUS_SECTION}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="250"
						y="21"
						width="285"
						height="14"
						key="libelle"
						stretchType="RelativeToTallestObject"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$V{LIBELLE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Page" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="0"
						y="45"
						width="150"
						height="14"
						forecolor="#000000"
						backcolor="#CCCCCC"
						key="Nom"/>
					<box leftPadding="1" rightPadding="1" topPadding="1" bottomPadding="1">					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Bold" size="10" isBold="true" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Nom"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Page" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="150"
						y="45"
						width="150"
						height="14"
						forecolor="#000000"
						backcolor="#CCCCCC"
						key="prenom"/>
					<box leftPadding="1" rightPadding="1" topPadding="1" bottomPadding="1">					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Bold" size="10" isBold="true" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Prénom"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Page" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="450"
						y="45"
						width="85"
						height="14"
						forecolor="#000000"
						backcolor="#CCCCCC"
						key="Emargement"/>
					<box leftPadding="1" rightPadding="1" topPadding="1" bottomPadding="1">					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Bold" size="10" isBold="true" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Emargement"]]></textFieldExpression>
				</textField>
				<subreport  isUsingCache="true">
					<reportElement
						mode="Opaque"
						x="0"
						y="60"
						width="535"
						height="14"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="DetailElecteur"
						isRemoveLineWhenBlank="true"/>
					<subreportParameter  name="DIRECTORY_JASPER">
						<subreportParameterExpression><![CDATA[$P{DIRECTORY_JASPER}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="DIRECTORY_IMPRESSION">
						<subreportParameterExpression><![CDATA[$P{DIRECTORY_IMPRESSION}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter  name="NUMERO_FICHIER">
						<subreportParameterExpression><![CDATA[$P{NUMERO_FICHIER}]]></subreportParameterExpression>
					</subreportParameter>
					<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JRXmlDataSource)$P{REPORT_DATA_SOURCE}).subDataSource("CnuPourImpression/electeurs/IndividuPourImpressionElection")]]></dataSourceExpression>
					<subreportExpression  class="java.lang.String"><![CDATA[$P{DIRECTORY_JASPER}+"DetailElecteurEmargementJDNPHU.jasper"]]></subreportExpression>
				</subreport>
				<break>
					<reportElement
						mode="Opaque"
						x="0"
						y="83"
						width="535"
						height="0"
						key="page break"
						isPrintRepeatedValues="false"/>
				</break>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Page" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="300"
						y="45"
						width="150"
						height="14"
						forecolor="#000000"
						backcolor="#CCCCCC"
						key="corps"/>
					<box leftPadding="1" rightPadding="1" topPadding="1" bottomPadding="1">					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Bold" size="10" isBold="true" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Catégorie"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="318"
						height="14"
						key="College"
						stretchType="RelativeToTallestObject"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Collège : " + $P{LIBELLE_COLLEGE}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
